import {
  frozenState
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'code',
    label: '编号',
    align: 'center',
  }, {
    field: 'iceRaftRecord.status',
    label: '状态',
    align: 'center',
    options: frozenState()
  }, {
    field: 'iceRaftRecord.inStorageTime',
    label: '入库时间',
    align: 'center',
  }, {
    field: 'iceRaftRecord.outStorageTime',
    label: '出库时间',
    align: 'center',
  }, {
    field: 'location',
    label: '所在位置',
    align: 'center',
  }, {
    field: 'freezeClaim',
    label: '冷冻要求',
    align: 'center',
  }, {
    field: 'freezeDuration',
    label: '冷冻时间',
    align: 'center',
  }, {
    field: 'multistage',
    label: '冰排释冷',
    children: [{
      field: 'iceRaftRecord.start_ice_cold_time',
      label: '开始时间',
      align: 'center',
    }, {
      field: 'iceRaftRecord.coolingTime',
      label: '释冷时间',
      align: 'center',
    }, {
      field: 'forColdTime',
      label: '释冷要求',
      align: 'center',
    }, {
      field: 'suitableForCold',
      label: '释冷温度',
      align: 'center',
    }, {
      field: 'iceColdAddress',
      label: '释冷地点',
      align: 'center',
    }]
  }, {
    field: 'iceRaftRecord.ice_use_time',
    label: '使用日期',
    align: 'center',
  }, {
    field: 'iceTime',
    label: '使用时间',
    align: 'center',
  }, {
    field: 'iceRaftRecord.returnDate',
    label: '归还时间',
    align: 'center',
  }, {
    field: 'iceRaftRecord.ice_use_users',
    label: '使用人员',
    align: 'center',
  }, {
    field: 'action',
    label: '操作',
    align: 'center',
    colWidth: '90px',
    labelButton: [{
      type: 'logs',
      label: '历史记录',
      icon: 'el-icon-tickets',
      style: 'success',
    }]
  }]
}
// 冰排使用记录
export const usageEmployee = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'iceRafts.code',
    label: '编号',
    align: 'center',
  }, {
    field: 'inStorageTime',
    label: '入库时间',
    align: 'center',
  }, {
    field: 'outStorageTime',
    label: '出库时间',
    align: 'center',
  }, {
    field: 'location',
    label: '所在位置',
    align: 'center',
  }, {
    field: 'freezeClaim',
    label: '冷冻要求',
    align: 'center',
  }, {
    field: 'freezeDuration',
    label: '冷冻时间',
    align: 'center',
  }, {
    field: 'multistage',
    label: '冰排释冷',
    children: [{
      field: 'start_ice_cold_time',
      label: '释冷日期',
      align: 'center',
    }, {
      field: 'coolingTime',
      label: '释冷时间',
      align: 'center',
    }, {
      field: 'forColdTime',
      label: '释冷要求',
      align: 'center',
    }, {
      field: 'suitableForCold',
      label: '释冷温度',
      align: 'center',
    }, {
      field: 'ice_cold_address',
      label: '释冷地点',
      align: 'center',
    }]
  }, {
    field: 'ice_use_time',
    label: '使用日期',
    align: 'center',
  }, {
    field: 'iceTime',
    label: '使用时间',
    align: 'center',
  }, {
    field: 'ice_use_users',
    label: '使用人员',
    align: 'center',
  }]
}
export const historyRecord = () => {
  return [{
    field: 'index',
    label: '序号',
    align: 'center',
  }, {
    field: 'status',
    label: '状态',
    align: 'center',
    options: frozenState()
  }, {
    field: 'inStorageTime',
    label: '入库时间',
    align: 'center',
  }, {
    field: 'outStorageTime',
    label: '出库时间',
    align: 'center',
  }, {
    field: 'location',
    label: '所在位置',
    align: 'center',
  }, {
    field: 'freezeClaim',
    label: '冷冻要求',
    align: 'center',
  }, {
    field: 'freezeDuration',
    label: '冷冻时间',
    align: 'center',
  }, {
    field: 'multistage',
    label: '冰排释冷',
    children: [{
      field: 'start_ice_cold_time',
      label: '释冷日期',
      align: 'center',
    }, {
      field: 'coolingTime',
      label: '释冷时间',
      align: 'center',
    }, {
      field: 'forColdTime',
      label: '释冷要求',
      align: 'center',
    }, {
      field: 'suitableForCold',
      label: '释冷温度',
      align: 'center',
    }, {
      field: 'ice_cold_address',
      label: '释冷地点',
      align: 'center',
    }]
  }, {
    field: 'returnDate',
    label: '归还时间',
    align: 'center',
  }, {
    field: 'action',
    label: '操作',
    colWidth: '160px',
    align: 'center',
    labelButton: [{
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-delete',
      style: 'danger',
    }]
  }]
}

export const iceRaftRules = () => {
  return [
    //   {
    //   field: 'freezeClaim',
    //   label: '冷冻要求',
    //   placeholder: '请输入冷冻时间',
    //   type: 'input',
    //   colWidth: 24,
    //   unit: '小时',
    //   rules: [{
    //     required: true,
    //     message: '请输入冷冻时间',
    //     trigger: 'blur'
    //   }]
    // },
    {
      field: 'code',
      label: '冰排编号',
      placeholder: '请输入冰排编号',
      type: 'scan',
      colWidth: 24,
      rules: [{
        required: true,
        message: '请输入冰排编号',
        trigger: 'blur'
      }]
    }
  ]
}

export const freezerRules = () => {
  return [
    //   {
    //   field: 'coolerBoxId',
    //   label: '保温箱',
    //   placeholder: '请选择保温箱',
    //   type: 'searchSelect',
    //   colWidth: 24,
    //   rules: [{
    //     required: true,
    //     message: '请选择保温箱',
    //     trigger: 'blur'
    //   }],
    //   options: [],
    // },
    // {
    //   field: 'suitableForCold',
    //   label: '冰排释冷温度',
    //   placeholder: '请输入冰排释冷温度',
    //   type: 'input',
    //   colWidth: 24,
    //   rules: [{
    //     required: true,
    //     message: '请输入冰排释冷温度',
    //     trigger: 'blur'
    //   }]
    // },
    {
      field: 'code',
      label: '冰排编号',
      placeholder: '请输入冰排编号',
      type: 'scan',
      colWidth: 24,
      rules: [{
        required: true,
        message: '请输入冰排编号',
        trigger: 'blur'
      }]
    }
  ]
}

export const editRules = () => {
  return [{
      field: 'code',
      label: '冰排编号',
      type: 'nvarchar',
      colWidth: 24,
      detail: false,
    }, {
      field: 'status',
      label: '状态',
      type: 'nvarcharil',
      colWidth: 24,
      detail: false,
      options: frozenState()
    }, {
      field: 'inStorageTime',
      label: '入库时间',
      type: 'nvarchar',
      colWidth: 24,
      detail: false,
    }, {
      field: 'outStorageTime',
      label: '出库时间',
      type: 'nvarchar',
      colWidth: 24,
      detail: false,
    },
    // {
    //   field: 'freezeClaim',
    //   label: '冷冻要求',
    //   placeholder: '请输入冷冻时间',
    //   type: 'input',
    //   colWidth: 24,
    //   unit: '小时',
    //   rules: [{
    //     required: true,
    //     message: '请输入冷冻时间',
    //     trigger: 'blur'
    //   }]
    // },
  ]
}
