import {
  startStatus,
  allocationState,
  WaybillStatus
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
    field: 'selection',
    label: '多选',
    align: 'center',
  }, {
    field: 'waybillNo',
    label: '运单号',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'orderNo',
    label: '订单号',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'assignmentStatus',
    label: '分配状态',
    align: 'center',
    options: allocationState(),
    colWidth: '130px',
  }, {
    field: 'status',
    label: '订单状态',
    align: 'center',
    options: WaybillStatus(),
    colWidth: '100px',
  }, {
    field: 'deliveryType',
    label: '配送类型',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'multistage',
    label: '复核人',
    children: [{
      field: 'reCheck.nickName',
      label: '姓名',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'reCheck.phone',
      label: '电话',
      align: 'center',
      colWidth: '140px',
    }, ]
  }, {
    field: 'multistage',
    label: '配送人',
    children: [{
      field: 'delivery.nickName',
      label: '姓名',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'delivery.phone',
      label: '电话',
      align: 'center',
      colWidth: '140px',
    }, ]
  }, {
    field: 'multistage',
    label: '患者信息',
    children: [{
      field: 'consigneeAddressName',
      label: '姓名',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'consigneeAddressPhone',
      label: '电话',
      align: 'center',
      colWidth: '140px',
    }, {
      field: 'consigneeAddressDetails',
      label: '地址',
      align: 'center',
      colWidth: '220px',
    }, ]
  }, {
    field: 'askForTime',
    label: '患者要求送达时间',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'orderTime',
    label: '下单时间',
    align: 'center',
    colWidth: '220px',
  }, {
    field: 'secondary_time',
    label: '分配时间',
    align: 'center',
    colWidth: '220px',
  }, {
    field: 'admin_audit_remark',
    label: '审核备注',
    align: 'center',
  }, {
    field: 'unpackBtn',
    label: '操作',
    colWidth: '340px',
    align: 'center',
    labelButton: []
  }]
}
export const sendList = () => {
  return [{
    field: 'deliveryId',
    type: 'searchSelect',
    label: '配送员',
    placeholder: '请选择配送员',
    colWidth: 12,
    multiple: false,
    rules: [{
      required: true,
      message: '请选择配送员',
      trigger: 'blur,change'
    }],
    options: [],
  }, {
    field: 'coolerBoxId',
    type: 'searchSelect',
    label: '保温箱',
    placeholder: '请选择保温箱',
    colWidth: 12,
    multiple: false,
    rules: [{
      required: false,
      message: '请选择保温箱',
      trigger: 'blur,change'
    }],
    options: [],
  }, {
    field: 'code',
    label: '冰排编号',
    placeholder: '请输入冰排编号',
    type: 'scan',
    colWidth: 24,
    rules: [{
      required: false,
      message: '请输入冰排编号',
      trigger: 'blur'
    }]
  }, {
    field: 'tamperProofLabelImg',
    label: '防拆标签图片',
    placeholder: '请上传防拆标签图片',
    type: 'upload',
    colWidth: 24,
    crosswise: true,
    rules: [{
      required: false,
      message: '请上传防拆标签图片',
      trigger: 'blur,change'
    }]
  }, {
    field: 'tamperProofLabel',
    label: '区块链防拆标签码',
    placeholder: '请输入区块链防拆标签码',
    type: 'input',
    colWidth: 24,
    rules: [{
      required: false,
      message: '请输入区块链防拆标签码',
      trigger: 'blur'
    }]
  }]
}
