const {
  defineConfig
} = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
  //如果是hash模式， publicPath:""；如果是history， publicPath:"/"
  publicPath: "/",
  //打包的文件夹目录
  outputDir: "dist",
  // 打包之后的入口文件
  indexPath: "index.html",
  //静态资源目录
  assetsDir: "assets",
  //配置代理
  devServer: {
    proxy: {
      '/api': {
        // target: process.env.VUE_APP_BASE_API,
        // target: 'https://colddelivery.coldbaozhida.com/cold_delivery',
        target: 'http://colddeliverytest.coldbaozhida.com:9090/cold_delivery', //测试
        // target: 'http://192.168.11.49:6280', //本地
        ws: false,
        changeOrigin: true,
        pathRewrite: {
          '^/api': ''
        }
      },
      '/APP': {
        target: 'https://public.coldbaozhida.com',
        ws: false,
        changeOrigin: true,
        pathRewrite: {
          '^/APP': ''
        }
      }
    }
  }
})
